STRUCT TEMPLAT(3)

NAME
boost::property_tree::id_translator - Simple implementation of the Translator concept. It does no translation.

SYNOPSIS

// In header: <boost/property_tree/id_translator.hpp>
template<typename T>
struct id_translator {
  // types
  typedef T internal_type;
  typedef T external_type;
  // public member functions
  boost::optional< T > get_value(const T &);
  boost::optional< T > put_value(const T &);
};

DESCRIPTION

  id_translator public member functions

    1.

    boost::optional< T > get_value(const T & v);

    2.

    boost::optional< T > put_value(const T & v);